lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steven Rowe (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SOLR-3263) Stop including more than one servlet-api jar version in the test classpath in the Maven build
Date Wed, 21 Mar 2012 19:09:43 GMT

     [ https://issues.apache.org/jira/browse/SOLR-3263?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steven Rowe updated SOLR-3263:
------------------------------

    Attachment: SOLR-3263.patch

Patch switching the solr-core module's servlet-api dependency from "compile" to "provided"
scope.  This causes it to not be placed on the runtime classpath.

Because this change makes most Solr contrib modules' tests fail because of missing classes
contained in the servlet-api jar.  For those modules with failing tests, I added a servlet-api
test dependency.

All trunk Solr tests pass for me locally under Maven.

Committing shortly.
                
> Stop including more than one servlet-api jar version in the test classpath in the Maven
build
> ---------------------------------------------------------------------------------------------
>
>                 Key: SOLR-3263
>                 URL: https://issues.apache.org/jira/browse/SOLR-3263
>             Project: Solr
>          Issue Type: Bug
>          Components: Build
>    Affects Versions: 4.0
>            Reporter: Steven Rowe
>            Assignee: Steven Rowe
>         Attachments: SOLR-3263.patch
>
>
> [Today's nightly Jenkins Maven trunk build|https://builds.apache.org/job/Lucene-Solr-Maven-trunk/431/testReport/]
has several test failures with the error message:
> {noformat}
> class "javax.servlet.FilterRegistration"'s signer information does not match signer information
of other classes in the same package
> {noformat}
> On SOLR-3260, [Ryan McKinley mentioned|https://issues.apache.org/jira/browse/SOLR-3260?focusedCommentId=13234472&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13234472]
that these errors can be caused by mixing servlet-api jar versions.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message